package com.muyu.common.data.standard.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 一页
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataSetModel {

    /**
     * 集合
     */
    private RecordModel[] dataSetModelArr = null;

    private int setLength ;

    public static DataSetModel build(int dataSetModelLength){
        return build(new RecordModel[dataSetModelLength]);
    }

    public static DataSetModel build(RecordModel[] dataSerModel){
        return DataSetModel.builder()
                .dataSetModelArr(dataSerModel)
                .setLength(dataSerModel.length)
                .build();
    }

}
