package com.muyu.common.data.standard.model;

import com.muyu.common.data.standard.utils.EtlUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Arrays;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 记录模型
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RecordModel {
    /**
     * 制定主键2
     */
    private String[] keys ;

    /**
     * 主键数据
     */
    private DataModel[] keyForValue;
    /**
     * 单条记录
     */
    private DataModel[] dataModelArr = null;

    private int recordLength;
    public static RecordModel build(int dataModelLength,String[] keys){
        return build(new DataModel[dataModelLength],keys);
    }

    public static RecordModel build(DataModel[] dataModelArr, String[] keys){
        return RecordModel.builder()
                .dataModelArr(dataModelArr)
                .recordLength(dataModelArr.length)
                .keys(keys)
                .keyForValue(
                        Arrays.stream(dataModelArr)
                                .filter(dataModel -> EtlUtils.valAsArr(keys,dataModel.getKey()))
                                .toArray(value -> new DataModel[0])
                )
                .build();
    }
}
