package com.muyu.source.clinet.connection.service;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.pool.DruidPooledConnection;
import com.muyu.data.source.domain.DataSource;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.sql.SQLException;
import java.util.List;

import static com.muyu.source.clinet.connection.pool.ConnectionPoolContext.*;

/**
 * 连接池管理对象
 *
 * @ClassName ConnectionPoolManagement
 * @Author AnNan.Wang
 * @Date 2024/5/16 19:39
 */

@Log4j2
@Component
public class ConnectionPoolManagementService {

    /**
     * 初始化
     */
    public void  init(List<DataSource> dataSources){

    }

    /**
     * 新增
     */
    public void createPool(DataSource dataSource){

        /**eq* 获取
 * @param dataSource
 */
    }
    public DruidPooledConnection get(DataSource dataSource){
        return get(dataSource.getKey());
    }

    public  DruidPooledConnection get(String key){
        DruidDataSource druidDataSource = getConnection(key);
        try {
            return druidDataSource.getConnection();
        } catch (SQLException e) {
            log.warn("获取连接异常:[{}] - [{}]",key,e.getMessage(),e);
            throw new RuntimeException(e);
        }
    }

    /**
     * 还
     */

    public void returnConnection(DruidPooledConnection connection){
        try {
            connection.close();
        } catch (SQLException e) {
            log.warn("获取连接异常:[{}] - [{}]",e.getMessage(),e);
            throw new RuntimeException(e);
        }
    }

    /**
     * 删除
     */

    public void remove(DataSource dataSource){

    }
    public void remove(String key){

    }

}
