package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据展示
 *
 * @ClassName Asset
 * @Author AnNan.Wang
 * @Date 2024/5/14 8:59
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "asset")
public class Asset {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * key
     */
    private String assetKey;
    /**
     * 类型
     */
    private String type;
    /**
     * 值
     */
    private Object value;
    /**
     * 数据源id
     */
    private Long databaseId;
    /**
     * 表名
     */
    private String tableName;
}
