package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据库表对象 DatabaseTable
 *
 * @author AnNan.Wang
 *
 * @Date 2024/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "database_table")
public class DatabaseTable {
    /**数据库表id*/
    private Long id;

    /**数据库表名*/
    private String tableName;

    /**字段名*/
    private String name;

    /**字段注释*/
    private String comment;

    /**是否核心*/
    private String isPrimaryKey;

    /**Java类型*/
    private String type;

    /**字段类型*/
    private String detailType;

    /**长度*/
    private Long length;

    /**小数点*/
    private Double decimalPlaces;

    /**是否为空*/
    private String isNull;

    /**默认值*/
    private String defaultValue;
    /**
     * 书否字典
     */
    private String isDict;
    /**
     * 映射字典
     */
    private String dictKey;
    /** 数据库名称 */
    private String databaseName;
}
