package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * DatabaseTableInformation 数据库信息表
 *
 * @author DeKangLiu
 * on 2024/4/23
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "database_table_information")
public class DatabaseTableInformation {

    /**数据库信息id*/
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**数据库表名*/
    private String name;

    /**数据库表备注*/
    private String as;

    /**数据库表条数*/
    private Integer dataTotal;

    /**数据库名称*/
    private String databaseName;

    /**类型*/
    private Integer type;
    /**
     * ID
     */
    private Integer  structureId;

    /** 数据库表对象集合 */
    @TableField(exist = false)
    private List<DatabaseTable> databaseTables;
}
