package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 字典数据表
 *
 * @ClassName sysDictData
 * @Author AnNan.Wang
 * @Date 2024/4/29 15:51
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_dict_data")
public class SysDictDataTable extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 字典数据主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 字典排序
     */
    private Integer dictSort;
    /**
     * 字典标签
     */
    private String dictLabel;
    /**
     * 字典键值
     */
    private String dictValue;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 是否默认（Y是 N否）
     */
    private char isDefault;
    /**
     * 状态（0正常 1停用）
     */
    private char status;
}
