package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 字典类型表
 *
 * @ClassName SysDictionary
 * @Author AnNan.Wang
 * @Date 2024/4/29 15:56
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_dictionary")
public class SysDictionary extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 字典组件
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 字典名称
     */
    private String dictName;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 状态(0正常 1停用)
     */
    private Integer status;
    /**
     * 数据库名称
     */
    private String tableName;

    @TableField(exist = false)
    //字典数据集合
    private List<SysDictDataTable> sysDictDataTableList;
}
