package com.muyu.data.source.domain.model;

import com.muyu.data.source.domain.DatabaseTable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 接收JDBC需要的值
 *
 * @ClassName DataTableValue
 * @Author AnNan.Wang
 * @Date 2024/5/13 21:31
 */


@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataTableValue {
    /**
     * 主机地址
     */
    private String hostAddress;
    /**主机端口
     *
     */
    private String hostPort;
    /**
     * 数据连接类型ID
     */
    private Long dataAccessTypeId;
    /**
     * 数据库名称
     */
    private String databaseName;
    /**
     * 数据连接参数
     */
    private String dataConnectionParameter;
    /**
     * 数据库用户名
     */
    private String databaseUserName;
    /**
     * 数据库用户密码
     */
    private String databaseUserPassword;

    /**数据库表名*/
    private String tableName;

    /** 表字段信息 */
    private List<DatabaseTable> databaseTables;
}
