package com.muyu.data.source.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 资产授权对象查询 asset_auth_info
 *
 * @author wan
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AssetAuthInfoQueryReq", description = "资产授权")
public class AssetAuthInfoQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 授权编号 */
    @ApiModelProperty(name = "授权编号", value = "授权编号")
    private Long authId;

    /** 编号类型 dept/user */
    @ApiModelProperty(name = "编号类型 dept/user", value = "编号类型 dept/user")
    private String idType;

    /** 授权数据 */
    @ApiModelProperty(name = "授权数据", value = "授权数据")
    private String authData;

    /** 授权类型 datasource/database/table */
    @ApiModelProperty(name = "授权类型 datasource/database/table", value = "授权类型 datasource/database/table")
    private String authType;

}
