package com.muyu.data.source.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.SysDictionary;
import com.muyu.data.source.domain.req.DataSourceQueryReq;
import com.muyu.data.source.remote.factory.RemoteDataManagerServiceFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 数据源远程调用
 *
 * @ClassName RemoteDataManagerService
 * @Author AnNan.Wang
 * @Date 2024/5/8 19:49
 */

@FeignClient(
        contextId = "RemoteSys",
        value = ServiceNameConstants.DATA_SOURCE,
        fallbackFactory = RemoteDataManagerServiceFactory.class,
        path = "/source"
)
public interface RemoteDataManagerService {
    @PostMapping("/list")
    public Result<TableDataInfo<DataSource>> list(DataSourceQueryReq dataSourceQueryReq);
}
