package com.muyu.data.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.Asset;
import com.muyu.data.source.service.AssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 数据展示的 Controller层
 *
 * @ClassName AssetController
 * @Author AnNan.Wang
 * @Date 2024/5/14 10:31
 */

@RestController
@RequestMapping("/assets")
public class AssetController {
    @Autowired
    private AssetService assetService;

    @PostMapping("/assetsList")
    public Result<List<Asset>> assetsList(@RequestBody String tableName){
        return assetService.assetsList(tableName);
    }
}
