package com.muyu.data.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.DatabaseTable;
import com.muyu.data.source.domain.SysDictDataTable;
import com.muyu.data.source.service.DatabaseTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 数据库表对象 Controller层
 *
 * @ClassName DatabaseTableController
 * @Author AnNan.Wang
 * @Date 2024/5/2 19:21
 */

@RestController
@RequestMapping("/databaseTable")
public class DatabaseTableController {
    @Autowired
    private DatabaseTableService databaseTableService;

    /**
     * 修改添加字典
     * @param databaseTable
     * @return
     */
    @PostMapping("/modification")
    public Result<String> modification(@RequestBody DatabaseTable databaseTable){
        return databaseTableService.modification(databaseTable);
    }

    @PostMapping("/tableNameList")
    public Result<List<DatabaseTable>> tableNameList(@RequestParam("tableName") String tableName){
        return databaseTableService.tableNameList(tableName);
    }
}
