package com.muyu.data.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.data.source.domain.SysDictDataTable;
import com.muyu.data.source.service.SysDictDataTableService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 字典数据的Controller层
 *
 * @ClassName SysDictDataController
 * @Author AnNan.Wang
 * @Date 2024/4/29 15:59
 */

@Api(tags = "字典数据")
@RestController
@RequestMapping("/data")
public class SysDictDataTableController extends BaseController {
    @Autowired
    private SysDictDataTableService sysDictDataTableService;

    //添加字典数据
    @PostMapping("/sysDictDataTableAdd")
    public Result<String> sysDictDataTableAdd(@RequestBody SysDictDataTable sysDictDataTable){
        return sysDictDataTableService.sysDictDataTableAdd(sysDictDataTable);
    }
    //删除字典数据
    @PostMapping("/sysDictDataTableDelete")
    public Result<String> sysDictDataTableDelete(@RequestParam("id") Long id){
        return sysDictDataTableService.sysDictDataTableDelete(id);
    }

    //修改字典数据
    @PostMapping("/sysDictDataTableUpdate")
    public Result<String> sysDictDataTableUpdate(@RequestBody SysDictDataTable sysDictDataTable){
        return sysDictDataTableService.sysDictDataTableUpdate(sysDictDataTable);
    }
}
