package com.muyu.data.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.data.source.domain.SysDictionary;
import com.muyu.data.source.service.SysDictionaryService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 字典类型Controller层
 *
 * @ClassName SysDictionaryController
 * @Author AnNan.Wang
 * @Date 2024/4/29 16:08
 */

@Api(tags = "字典类型")
@RestController
@RequestMapping("/dictionary")
public class SysDictionaryController extends BaseController {
    @Autowired
    private SysDictionaryService sysDictionaryService;

    //查询出所有数据
    @PostMapping("/dictionaryList")
    public Result<List<SysDictionary>> dictionaryList(@RequestParam("databaseName") String databaseName){
        return sysDictionaryService.dictionaryList(databaseName);
    }
    //添加字典类型
    @PostMapping("/dictionaryAdd")
    public Result<String> dictionaryAdd(@RequestBody SysDictionary sysDictionary){
        return sysDictionaryService.dictionaryAdd(sysDictionary);
    }

    //删除类型 以及下面类型相同数据
    @PostMapping("/dictionaryDelete")
    public Result<String> dictionaryDelete(@RequestParam("dictType") String dictType){
        return sysDictionaryService.dictionaryDelete(dictType);
    }

    //修改字典类型
    @PostMapping("/dictionaryUpdate")
    public Result<String> dictionaryUpdate(@RequestBody SysDictionary sysDictionary){
        return sysDictionaryService.dictionaryUpdate(sysDictionary);
    }
}
