package com.muyu.data.source.mapper;

import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.data.source.domain.*;
import com.muyu.data.source.domain.model.DatabaseTableModel;
import com.muyu.data.source.domain.req.DatabaseConnect;
import org.apache.ibatis.annotations.Param;

/**
 * 数据源Mapper接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataSourceMapper extends BaseMapper<DataSource> {

    List<AccessType> findAccessType();

    void addAssets(@Param("assetStructure") List<AssetStructure> assetStructure);

    void addAssets1(AssetStructure assetStructure);


    DatabaseTableModel findByName(@Param("databaseName") String databaseName, @Param("databaseTableName") String databaseTableName);

    List<DatabaseTableInformation> findByBaseName(@Param("databaseName") String databaseName);

    void addDatabaseTableInformation(@Param("databaseTableInformationList") List<DatabaseTableInformation> databaseTableInformationList, @Param("id") Integer id, @Param("databaseName") String databaseName);

    void addDatabaseTableInfo(@Param("databaseTableInformations") ArrayList<DatabaseTableInformation> databaseTableInformations);

    List<AssetStructure> findAssetStructure();

   List<DatabaseTableInformation> findInformation(Integer id);


    void DatabaseTableAdd(@Param("databaseTables") List<DatabaseTable> databaseTables);

    List<DatabaseTableModel> DatabaseTableList(@Param("databaseName") String databaseName, @Param("name") String name);

    List<DatabaseTableModel> database(@Param("name") String name);

    List<DatabaseTableInformation> table(@Param("databaseName") String databaseName);

    List<DatabaseTableInformation> quantity();


}
