package com.muyu.data.source.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.Asset;
import com.muyu.data.source.mapper.AssetMapper;
import com.muyu.data.source.service.AssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AssetService 层业务实现接口
 *
 * @ClassName AssetServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/5/14 10:32
 */

@Service
public class AssetServiceImpl extends ServiceImpl<AssetMapper, Asset>
        implements AssetService{
    @Autowired
    private AssetMapper assetMapper;


    @Override
    public Result<List<Asset>> assetsList(String tableName) {
        System.out.println(assetMapper.selectList(
                new LambdaQueryWrapper<Asset>(){{
                    eq(Asset::getTableName,tableName);
                }}
        ));
        return Result.success(
                assetMapper.selectList(
                        new LambdaQueryWrapper<Asset>(){{
                            eq(Asset::getTableName,tableName);
                        }}
                )
        );
    }
}
