package com.muyu.data.source.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.DatabaseTable;
import com.muyu.data.source.mapper.DatabaseTableMapper;
import com.muyu.data.source.service.DatabaseTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * DatabaseTable  Impl层业务实现类
 *
 * @ClassName DatabaseTableServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/5/2 19:26
 */

@Service
public class DatabaseTableServiceImpl extends ServiceImpl<DatabaseTableMapper, DatabaseTable>
        implements DatabaseTableService{
    @Autowired
    private DatabaseTableMapper databaseTableMapper;


    @Override
    public Result<String> modification(DatabaseTable databaseTable) {
        return Result.success(
                databaseTableMapper.updateById(
                        DatabaseTable.builder()
                                .id(databaseTable.getId())
                                .tableName(databaseTable.getTableName())
                                .name(databaseTable.getName())
                                .comment(databaseTable.getComment())
                                .isPrimaryKey(databaseTable.getIsPrimaryKey())
                                .type(databaseTable.getType())
                                .detailType(databaseTable.getDetailType())
                                .length(databaseTable.getLength())
                                .decimalPlaces(databaseTable.getDecimalPlaces())
                                .isNull(databaseTable.getIsNull())
                                .defaultValue(databaseTable.getDefaultValue())
                                .isDict(databaseTable.getIsDict())
                                .dictKey(databaseTable.getDictKey())
                                .databaseName(databaseTable.getDatabaseName())
                                .build()
                )>0?"修改成功":"修改失败"
        );
    }


    @Override
    public Result<List<DatabaseTable>> tableNameList(String tableName) {
        return Result.success(
                databaseTableMapper.selectList(
                        new LambdaQueryWrapper<DatabaseTable>(){{
                            eq(DatabaseTable::getTableName,tableName);
                        }}
                )
        );
    }
}
