package com.muyu.data.source.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.SysDictDataTable;
import com.muyu.data.source.mapper.SysDictDataTableMapper;
import com.muyu.data.source.service.SysDictDataTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 字典数据的Impl 实现层
 *
 * @ClassName SysDictDataTableServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/4/29 16:05
 */


@Service
public class SysDictDataTableServiceImpl extends ServiceImpl<SysDictDataTableMapper, SysDictDataTable>
        implements SysDictDataTableService {

    @Autowired
    private SysDictDataTableMapper sysDictDataTableMapper;


    @Override
    public Result<String> sysDictDataTableAdd(SysDictDataTable sysDictDataTable) {
        return Result.success(
                sysDictDataTableMapper.insert(
                        SysDictDataTable.builder()
                                .dictLabel(sysDictDataTable.getDictLabel())
                                .dictValue(sysDictDataTable.getDictValue())
                                .dictType(sysDictDataTable.getDictType())
                                .remark(sysDictDataTable.getRemark())
                                .isDefault('N')
                                .status('0')
                                .build()
                )>0?"添加成功":"添加失败"
        );
    }

    @Override
    public Result<String> sysDictDataTableDelete(Long id) {
        return Result.success(
                sysDictDataTableMapper.deleteById(id)>0?"删除成功":"删除失败"
        );
    }

    @Override
    public Result<String> sysDictDataTableUpdate(SysDictDataTable sysDictDataTable) {
        return Result.success(
                sysDictDataTableMapper.updateById(
                        SysDictDataTable.builder()
                                .id(sysDictDataTable.getId())
                                .dictLabel(sysDictDataTable.getDictLabel())
                                .dictValue(sysDictDataTable.getDictValue())
                                .remark(sysDictDataTable.getRemark())
                                .build()
                )>0?"修改成功":"修改失败"
        );
    }

}
