package com.muyu.unlt;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 数据启动类
 *
 * @ClassName DataUnltApplication
 * @Author AnNan.Wang
 * @Date 2024/5/8 20:57
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
@EnableAsync
@Log4j2
public class DataUnltApplication {
    public static void main (String[] args) {
        SpringApplication.run(DataUnltApplication.class, args);
    }
}
