package com.muyu.rule.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 引擎版本表
 *
 * @ClassName EngineVersion
 * @Author AnNan.Wang
 * @Date 2024/5/6 20:41
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("engineversion")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "EngineVersion", description = "引擎版本")
public class EngineVersion extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;
    /** 规则引擎id */
    @Excel(name = "规则引擎id")
    @ApiModelProperty(name = "规则引擎id", value = "规则引擎id")
    private Long ruleId;
    /** 版本类 */
    @Excel(name = "版本类")
    @ApiModelProperty(name = "版本类", value = "版本类")
    private String versionCode;
    /** 版本名称 */
    @Excel(name = "版本名称")
    @ApiModelProperty(name = "版本名称", value = "版本名称")
    private String name;
    /** 版本CODE */
    @Excel(name = "版本CODE")
    @ApiModelProperty(name = "版本CODE", value = "版本CODE")
    private String code;
    /** 是否激活 */
    @Excel(name = "是否激活")
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;
    /** 版本状态 */
    @Excel(name = "版本状态")
    @ApiModelProperty(name = "版本状态", value = "版本状态")
    private String status;
    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty(name = "描述", value = "描述")
    private String description;
    /**  */
    @Excel(name = "引擎编码")
    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String codeIng;
    /** 是否测试 */
    @Excel(name = "是否测试")
    @ApiModelProperty(name = "是否测试", value = "是否测试")
    private String isTest;
}
