package com.muyu.engine.text;

import com.muyu.model.DataModel;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 测试
 *
 * @ClassName Main
 * @Author AnNan.Wang
 * @Date 2024/5/13 16:23
 */


public class Main {

    public static final ConcurrentHashMap<String,Base> ruleEngineMap = new ConcurrentHashMap<>();


    static {
        init();
    }

    public static void init(){
        ruleEngineMap.put("a",new A());
        ruleEngineMap.put("b",new B());
        ruleEngineMap.put("c",new C());
    }

    public static void main(String[] args) {
        DataModel dataModel = new DataModel();
        dataModel.setValue("王五");
        dataModel.setKey("name");
        dataModel.setProcessClass(String.class);
        dataModel.setSourceType("varchar");
        dataModel.setProcessType("String");

        ThreadConstant.set(dataModel);
        Base a = ruleEngineMap.get("a");
        Base b = ruleEngineMap.get("b");
        Base c = ruleEngineMap.get("c");
        a.execution();
        b.execution();
        c.execution();
        ThreadConstant.remove();
    }
}
