package com.muyu.rule.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.rule.domain.EngineVersion;
import com.muyu.rule.service.EngineVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * EngineVersion 引擎版本的Controller层
 *
 * @ClassName EngineVersionController
 * @Author AnNan.Wang
 * @Date 2024/5/6 20:56
 */

@RestController
@RequestMapping("/versions")
public class EngineVersionController {
    @Autowired
    private EngineVersionService engineVersionService;

    /**
     * 添加版本
     * @param engineVersion
     * @return
     */
    @PostMapping("/versionsAdd")
    public Result<String> versionsAdd(@RequestBody EngineVersion engineVersion){
        return engineVersionService.versionsAdd(engineVersion);
    }

    @PostMapping("/versionsUpd")
    public Result<String> versionsUpd(@RequestBody EngineVersion engineVersion){
        return engineVersionService.versionsUpd(engineVersion);
    }
}
