package com.muyu.rule.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.rule.domain.EngineVersion;
import com.muyu.rule.mapper.EngineVersionMapper;
import com.muyu.rule.service.EngineVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * EngineVersion 引擎版本的Impl层实现接口
 *
 * @ClassName EngineVersionServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/5/6 20:58
 */

@Service
public class EngineVersionServiceImpl extends ServiceImpl<EngineVersionMapper, EngineVersion>
        implements EngineVersionService {
    @Autowired
    private EngineVersionMapper engineVersionMapper;

    @Override
    public Result<String> versionsAdd(EngineVersion engineVersion) {
        int insert = engineVersionMapper.insert(engineVersion);
        if (insert>0) {
            return Result.success("版本添加成功");
        }else {
            return Result.error("版本添加失败");
        }
    }


    @Override
    public Result<String> versionsUpd(EngineVersion engineVersion) {
        int i = engineVersionMapper.updateById(engineVersion);
        if (i>0) {
            return Result.success("代码保存成功");
        }else {
            return Result.error("代码保存成功");
        }
    }
}
